Create call outcomes
curl --request POST \
--url https://api.callaro.ai/api/v1/call_outcomes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"label": "<string>",
"category": "<string>",
"color": "<string>",
"sort_order": "<string>",
"is_active": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
label: '<string>',
category: '<string>',
color: '<string>',
sort_order: '<string>',
is_active: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/call_outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/call_outcomes"
payload = {
"code": "<string>",
"label": "<string>",
"category": "<string>",
"color": "<string>",
"sort_order": "<string>",
"is_active": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"code": "<string>",
"label": "<string>",
"category": "<string>",
"is_system": "<string>",
"is_active": "<string>",
"sort_order": "<string>",
"color": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}CallOutcomes
Create call outcomes
From api/v1/call_outcomes#create in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
call_outcomes
Create call outcomes
curl --request POST \
--url https://api.callaro.ai/api/v1/call_outcomes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"label": "<string>",
"category": "<string>",
"color": "<string>",
"sort_order": "<string>",
"is_active": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
label: '<string>',
category: '<string>',
color: '<string>',
sort_order: '<string>',
is_active: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/call_outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/call_outcomes"
payload = {
"code": "<string>",
"label": "<string>",
"category": "<string>",
"color": "<string>",
"sort_order": "<string>",
"is_active": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"code": "<string>",
"label": "<string>",
"category": "<string>",
"is_system": "<string>",
"is_active": "<string>",
"sort_order": "<string>",
"color": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Was this page helpful?